#version 450
// SIMPLE TEXTURE : VERTEX SHADER

// These come in from the vertex definition
// TODO : Need to add texture coordinate attribute so I can single VBO all these sumbitches
layout(location = 0) in vec3 v_position;
layout(location = 1) in vec4 color;
layout(location = 2) in vec2 ti_position;

// These are made up in the shader themselves
layout(location = 0) out vec2 tex_coords;

void main() {

    gl_Position = vec4(v_position, 1.0);
    tex_coords = ti_position;
}




